#!/bin/bash
export KUBECONFIG=/etc/kubernetes/admin.conf
export API_SERVER_IP={{ var_host_endpoint_ip }}
export API_SERVER_PORT={{ var_service_port }}
helm repo list
helm repo add cilium https://helm.cilium.io/

#debugging info
helm search repo cilium/cilium --versions
#helm show values cilium/cilium --version {{ var_cilium_version }} > cilium-values.yaml

#TODO: replace set with a values file
helm install cilium cilium/cilium \
     --version {{ var_cilium_version }} \
     --namespace kube-system \
     --values=/root/values-helm-cilium.yaml
#     --set k8sServiceHost={{ var_host_endpoint_ip }} \
#     --set k8sServicePort=6443 \
#     --set operator.replicas={{ var_cilium_op_replicas }} #\
#     --set kubeProxyReplacement=strict
